SDL_HINT_VIDEO_EGL_ALLOW_GETDISPLAY_FALLBACK(3)

NAME
SDL_HINT_VIDEO_EGL_ALLOW_GETDISPLAY_FALLBACK - If eglGetPlatformDisplay fails, fall back to calling eglGetDisplay.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_VIDEO_EGL_ALLOW_GETDISPLAY_FALLBACK SDL_VIDEO_EGL_ALLOW_GETDISPLAY_FALLBACK"

DESCRIPTION
The variable can be set to one of the following values:

• "0": Do not fall back to eglGetDisplay.

• "1": Fall back to eglGetDisplay if eglGetPlatformDisplay fails. (default)

This hint should be set before SDL is initialized.

AVAILABILITY
This hint is available since SDL 3.2.0.